## org.hibernate.event.def
Class DefaultRefreshEventListener

    java.lang.Object
      org.hibernate.event.def.DefaultRefreshEventListener

All Implemented Interfaces:
  Serializable, RefreshEventListener

    public class DefaultRefreshEventListener

extends Object
implements RefreshEventListener

Defines the default refresh event listener used by hibernate for refreshing entities in response to generated refresh events.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`DefaultRefreshEventListener()`

Method Summary
`void` `onRefresh(RefreshEvent event)` Handle the given refresh event.
`void` `onRefresh(RefreshEvent event, Map refreshedAlready)` Handle the given refresh event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRefreshEventListener

    public DefaultRefreshEventListener()

Method Detail

### onRefresh

    public void onRefresh(RefreshEvent event)
                   throws HibernateException

  Description copied from interface: `RefreshEventListener`
  Handle the given refresh event.

  Specified by:
    `onRefresh` in interface `RefreshEventListener`
  Parameters:
    `event` - The refresh event to be handled.
  Throws:
    `HibernateException`

### onRefresh

    public void onRefresh(RefreshEvent event,
                          Map refreshedAlready)

  Handle the given refresh event.

  Specified by:
    `onRefresh` in interface `RefreshEventListener`
  Parameters:
    `event` - The refresh event to be handled.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.